package net.wanji.web.service;

import net.wanji.web.entity.TBaseCrossInfo;
import net.wanji.web.vo.situationDetection.*;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author Kent HAN
 * @date 2022/10/26 13:41
 */
public interface SituationDetectionService {
    OptRecordsOutVO optRecords(String adCode, Date adaptTime);

    List<CrossAlarmOutVO> crossAlarm();

    List<EventAlarmOutVO> eventAlarm(Date todayTime) throws ParseException;

    List<ControlHistOutVO> controlHist(String crossId, String currentTime) throws ParseException;

    List<VehicleTraceOutVO> vehicleTrace(String adCode, String currentTime) throws ParseException;

    List<VideoDeviceInfoOutVO> videoDeviceInfo(String adCode);

    List<GreenwaveRealtimeOutVO> greenwaveRealtime(String adCode, String currentTime) throws ParseException;

    Map<String, Map<String, Integer>> allDeviceStatus(String adCode);

    List<GreenwaveCrossOutVO> greenwaveCross(String adCode, String currentTime, Integer id);

    List<CrossDeviceStatusInfoOutVO> crossDeviceStatusInfo();

    TBaseCrossInfo selectCrossInfoById(String signalId);
}
